Debian Bug report logs - #657321
js/src/shell/js segfaults on ia64

version graph

Package: src:mozjs; Maintainer for src:mozjs is Chris Coulson <chrisccoulson@ubuntu.com>;

Reported by: Michael Biebl <biebl@debian.org>

Date: Wed, 25 Jan 2012 16:18:02 UTC

Severity: important

Merged with 659186

Found in version mozjs/1.8.5-1.0.0+dfsg-3

Fixed in version mozjs/1.8.5-1.0.0+dfsg-4

Done: Chris Coulson <chrisccoulson@ubuntu.com>

Bug is archived. No further changes may be made.

Forwarded to https://bugzilla.mozilla.org/show_bug.cgi?id=808512

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Chris Coulson <chrisccoulson@ubuntu.com>:
Bug#657321; Package src:mozjs. (Wed, 25 Jan 2012 16:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
New Bug report received and forwarded. Copy sent to Chris Coulson <chrisccoulson@ubuntu.com>. (Wed, 25 Jan 2012 16:18:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: js/src/shell/js segfaults on ia64
Date: Wed, 25 Jan 2012 17:15:23 +0100
Source: mozjs
Version: 1.8.5-1.0.0+dfsg-3
Severity: important

While mozjs compiles successfully on ia64, the resulting binary
js/src/shell/js segfaults when it is executed.

Mike Hommey mentioned on IRC:
ahhhh for ia64, you're mostly screwed :-/ the way it was fixed in
iceweasel (and now, i remember it was done later than 4) is to hack
jemalloc, and this is not possible with the system allocator :-/ (this
is a fix that is upstream and comes from redhat ; short of making
intrusive changes to the engine, this is the only solution)


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (200, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=de_DE.utf8, LC_CTYPE=de_DE.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Chris Coulson <chrisccoulson@ubuntu.com>:
Bug#657321; Package src:mozjs. (Thu, 09 Feb 2012 11:36:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Chris Coulson <chrisccoulson@ubuntu.com>. (Thu, 09 Feb 2012 11:36:18 GMT) Full text and rfc822 format available.

Message #10 received at 657321@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 657321@bugs.debian.org
Subject: JS engine completely broken on ia64
Date: Thu, 09 Feb 2012 12:34:28 +0100
[Message part 1 (text/plain, inline)]
https://bugzilla.mozilla.org/show_bug.cgi?id=589735

-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Forcibly Merged 657321 659186. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Mon, 13 Feb 2012 15:09:12 GMT) Full text and rfc822 format available.

Message #13 received at 659186-close@bugs.debian.org (full text, mbox):

From: Chris Coulson <chrisccoulson@ubuntu.com>
To: 659186-close@bugs.debian.org
Subject: Bug#659186: fixed in mozjs 1.8.5-1.0.0+dfsg-4
Date: Thu, 25 Oct 2012 20:48:01 +0000
Source: mozjs
Source-Version: 1.8.5-1.0.0+dfsg-4

We believe that the bug you reported is fixed in the latest version of
mozjs, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 659186@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Chris Coulson <chrisccoulson@ubuntu.com> (supplier of updated mozjs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 25 Oct 2012 20:10:45 +0100
Source: mozjs
Binary: libmozjs185-1.0 libmozjs185-dev
Architecture: source amd64
Version: 1.8.5-1.0.0+dfsg-4
Distribution: unstable
Urgency: low
Maintainer: Chris Coulson <chrisccoulson@ubuntu.com>
Changed-By: Chris Coulson <chrisccoulson@ubuntu.com>
Description: 
 libmozjs185-1.0 - Spidermonkey javascript engine
 libmozjs185-dev - Spidermonkey javascript library - development headers
Closes: 659186 678859
Changes: 
 mozjs (1.8.5-1.0.0+dfsg-4) unstable; urgency=low
 .
   [ Stephan Schreiber ]
   * Fix MapPages() to work on ia64
     - add debian/patches/fix-map-pages-on-ia64.patch
     - update debian/patches/series
   * Disable JS static strings on ia64
     - add debian/patches/disable-static-strings-on-ia64.patch
     - update debian/patches/series
   * Closes: #659186
 .
   [ gregor herrmann ]
   * Fix "libmozjs185-dev depends on libffi-dev": add libffi-dev to Depends in
     libmozjs185-dev binary package. Thanks Nicolas Boulenguez.
     (Closes: #678859)
Checksums-Sha1: 
 31affb465136ddb0a3a9fb159dc7254f76a779f4 1997 mozjs_1.8.5-1.0.0+dfsg-4.dsc
 b262010d327da01431dac00505864549fbfa1c1a 60763 mozjs_1.8.5-1.0.0+dfsg-4.debian.tar.gz
 37e2e9bb3256cb93adec4e11a9e2a614f7935fa2 1372566 libmozjs185-1.0_1.8.5-1.0.0+dfsg-4_amd64.deb
 f58a9d258207a7afdff873e17983c0e46843f959 2234328 libmozjs185-dev_1.8.5-1.0.0+dfsg-4_amd64.deb
Checksums-Sha256: 
 763f5bcd9fc5cbebc1f9986daec5013f0acedc9ecdad2c4ae7308ee46b926460 1997 mozjs_1.8.5-1.0.0+dfsg-4.dsc
 7e12498e022114040eb9c5c4f6ec8940530f2d27868938b8d20216b1f7f1edc1 60763 mozjs_1.8.5-1.0.0+dfsg-4.debian.tar.gz
 12cc5b7ea0742cbc5eda5919bfa50fd57103a8d45c7dfaef7a96a26675bc9c7e 1372566 libmozjs185-1.0_1.8.5-1.0.0+dfsg-4_amd64.deb
 ac82b3d1ee940ddf9dce9a3bdbb542715d88fef98c0e7be2b38cf161522a9333 2234328 libmozjs185-dev_1.8.5-1.0.0+dfsg-4_amd64.deb
Files: 
 bda094c5d5d45de7fcb9e2b8c7f354c9 1997 libs extra mozjs_1.8.5-1.0.0+dfsg-4.dsc
 997909fbb65f5e5b777332ddf9ebc4cd 60763 libs extra mozjs_1.8.5-1.0.0+dfsg-4.debian.tar.gz
 66f85faf3ba8b58a44c0b8d903f91bd5 1372566 libs extra libmozjs185-1.0_1.8.5-1.0.0+dfsg-4_amd64.deb
 b2ecc3e3eaba1d5f986b43fab53084ea 2234328 libdevel extra libmozjs185-dev_1.8.5-1.0.0+dfsg-4_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQiZs1AAoJEGrh3w1gjyLcNuwP/1skzc5xWzTr+tv6BCK4zjFV
rIwRHv3VNhxH6Odhq5maKMh5sJ4y1K+K+dXvPjA4IeIr7wm7R+n+VLzJlXUQ2Eqh
tnF/CymxBuAV8CtXYXjl0J7tKnwBoAnZXtu2rdgi73zZ49IiTXgzmZ/jasUt6fFy
8cSOHsIcKi+h/XhFn5S4u184utZGYj3455fawETsZpS8/gR6pcG5Vpj1qVeH8Kx9
kFjMKJG7qWWWaQHrdviX72Z7/VCvcsYxQgf8dez6eKkuA/DSlcXsd2x7FP8sb0xR
z9on0GaF0bb4VmN9rISwkq+tFDKS6jS88XQWTblv8sOymncWdq/8XqtEWIO6k0e/
IsdWrf+4FvQfRF6W0nv4FWdyEhaBA94zjIhJkkQhiYA9jc66H2e/rsdFRDrOW4YK
1pfwtcaT/DvHKKwg0DLGrSoWtsGstuBVTD/2l0Rt5bQ1hKE+2dopF/AVPaF1lm8e
TvXKHvG3lZnYEnvgvfX7/pqvFJ1Q6+9xaUE7AUb/2tj9+NOPbnlggYGyBoCm2shG
RX0+saPbrOavUKJWoGtr+znNz9jVz67k/cT8Cuy9qLhpQ68Vam07mRBK23YHcKoK
2+8ZCkqTPNehZ2XKmY4hQ/d6lcb34sUHymR0Q72SKhB/7D99/++2IbxKliO9NBah
XrNotVi+o7WX6tQvOJFW
=HVRh
-----END PGP SIGNATURE-----




Set Bug forwarded-to-address to 'https://bugzilla.mozilla.org/show_bug.cgi?id=808512'. Request was from Émeric Maschino <emeric.maschino@gmail.com> to control@bugs.debian.org. (Mon, 05 Nov 2012 13:57:11 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 04 Dec 2012 07:26:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 13:29:25 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.